import type { IResolvedServiceImplementation, IServiceDescriptor, IServiceImplementationResolver, IServiceTypeResolver, RequestPath } from "../types/index.js";
export declare abstract class BaseServiceImplementationResolver<T> implements IServiceImplementationResolver<T> {
    abstract get name(): string;
    abstract resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<any>, requestedBy: IServiceDescriptor<any> | null, requestedPath: RequestPath, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
}
export declare function isServiceImplementationResolver<T>(value: unknown): value is IServiceImplementationResolver<T>;
//# sourceMappingURL=BaseServiceImplementationResolver.d.ts.map