import type { IResolvedServiceImplementation, IServiceDescriptor, IServiceImplementationResolver, SingleServiceImplementation, IServiceTypeResolver, RequestPath } from "../types/index.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export declare class RegistryServiceImplementationResolver<T> extends BaseServiceImplementationResolver<T> {
    private readonly implementation;
    get name(): string;
    constructor(implementation: T | SingleServiceImplementation<T> | IServiceImplementationResolver<T | SingleServiceImplementation<T>>);
    resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<T>, requestedBy: IServiceDescriptor<any> | null, requestedPath: RequestPath, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
}
//# sourceMappingURL=RegistryServiceImplementationResolver.d.ts.map