import type { IServiceDescriptor, IServiceInstanceInfo } from "../types/index.js";
export declare class ServiceInstanceInfo<T> implements IServiceInstanceInfo<T> {
    descriptor: IServiceDescriptor<T>;
    get instance(): T;
    get initialized(): boolean;
    disposed: boolean;
    dependents: IServiceInstanceInfo<any>[];
    private _instance;
    constructor(descriptor: IServiceDescriptor<T>);
    getInstance(): Generator<any, T | symbol>;
    initialize(creator: () => T): T;
    addDependent(dependent: IServiceInstanceInfo<any>): void;
    disposeSync(): void;
    disposeAsync(): Promise<void>;
}
//# sourceMappingURL=ServiceInstanceInfo.d.ts.map