import type { ServiceType, IServiceDescriptorResolver, IServiceDescriptor, IServiceCollection, IServiceInstancesStore, RequestPath } from "../types/index.js";
import { BaseServiceTypeResolver } from "./BaseServiceTypeResolver.js";
export declare class ListServiceTypeResolver<T> extends BaseServiceTypeResolver<T, T[]> {
    constructor(next: ServiceType<T>);
    resolve(collection: IServiceCollection, instancesStore: IServiceInstancesStore, resolveServiceImplementation: IServiceDescriptorResolver, requestedBy: IServiceDescriptor<any> | null, requestedPath: RequestPath, mode: "sync" | "async"): Generator<Promise<unknown>, T[], unknown>;
}
//# sourceMappingURL=ListServiceTypeResolver.d.ts.map