import { BaseServiceTypeResolver, isServiceTypeResolver, } from "./BaseServiceTypeResolver.js";
export class SingleServiceTypeResolver extends BaseServiceTypeResolver {
    constructor(next) {
        super(next);
    }
    resolve(collection, instancesStore, resolveServiceImplementation, requestedBy, requestedPath, mode, descriptor) {
        if (isServiceTypeResolver(this.next)) {
            return this.next.resolve(collection, instancesStore, resolveServiceImplementation, requestedBy, requestedPath, mode, descriptor);
        }
        return resolveServiceImplementation(descriptor ?? collection.getDescriptor(this.next), requestedBy, requestedPath, mode);
    }
}
//# sourceMappingURL=SingleServiceTypeResolver.js.map